Skip to content
Skip to main content
PUT
https://api.us.nylas.com/v3/webhooks/{id}

Update a webhook destination

Update the values in a specific webhook destination.

Limitations

  • You only need to specify fields that need to change when you make a request to this endpoint. Empty fields in the request do not overwrite existing fields.
  • You should limit how many webhook destinations you have for each trigger type. When Nylas retries a webhook, the retry goes to all destinations for the specific trigger type. This can result in a lot of notifications.
  • Some webhook testing tools rate-limit or block you if your webhook destination endpoint generates too much traffic. Nylas blocks Ngrok connections for this reason.

Works with an API key or an IAM API key with the webhook_destinations.update permission.

Parameters

Path parameters

id*string

Request body

Destination definition

any

Responses

dataobject
request_idstring

The ID for each request.

PUThttps://api.us.nylas.com/v3/webhooks/{id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

idrequiredstring
Loading editor...

Autocomplete and validation come from this endpoint's request schema.